org.apache.jmeter.visualizers

## Class JSR223Listener

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.util.ScriptingTestElement
    - - org.apache.jmeter.util.JSR223TestElement
      - - org.apache.jmeter.visualizers.JSR223Listener

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, SampleListener, TestBean, TestElement, TestStateListener, Visualizer

    public class JSR223Listener
    extends JSR223TestElement
    implements Cloneable, SampleListener, TestBean, Visualizer

Needs to implement Visualizer so that TestBeanGUI can find the correct GUI class

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.jmeter.util.ScriptingTestElement

`DEFAULT_SCRIPT_LANGUAGE, scriptLanguage`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`JSR223Listener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(SampleResult sample)` This method is called by sampling thread to inform the visualizer about the arrival of a new sample.
`Object` `clone()`
`boolean` `isStats()` This method is used to indicate a visualizer generates statistics.
`void` `sampleOccurred(SampleEvent event)` A sample has started and stopped.
`void` `sampleStarted(SampleEvent e)` A sample has started.
`void` `sampleStopped(SampleEvent e)` A sample has stopped.

### Methods inherited from class org.apache.jmeter.util.JSR223TestElement

`compile, getCacheKey, getInstance, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, setCacheKey, setScriptLanguage, testEnded, testEnded, testStarted, testStarted`

### Methods inherited from class org.apache.jmeter.util.ScriptingTestElement

`getFilename, getParameters, getScript, isStopCondition, setFilename, setParameters, setScript`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### JSR223Listener

    public JSR223Listener()

### Method Detail

#### sampleOccurred

    public void sampleOccurred(SampleEvent event)

Description copied from interface: `SampleListener`
A sample has started and stopped.

Specified by:
  `sampleOccurred` in interface `SampleListener`
Parameters:
  `event` - the `SampleEvent` that has occurred

#### sampleStarted

    public void sampleStarted(SampleEvent e)

Description copied from interface: `SampleListener`
A sample has started.

Specified by:
  `sampleStarted` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has started

#### sampleStopped

    public void sampleStopped(SampleEvent e)

Description copied from interface: `SampleListener`
A sample has stopped.

Specified by:
  `sampleStopped` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has stopped

#### add

    public void add(SampleResult sample)

Description copied from interface: `Visualizer`
This method is called by sampling thread to inform the visualizer about the arrival of a new sample.

Specified by:
  `add` in interface `Visualizer`
Parameters:
  `sample` - the newly arrived sample

#### isStats

    public boolean isStats()

Description copied from interface: `Visualizer`
This method is used to indicate a visualizer generates statistics.

Specified by:
  `isStats` in interface `Visualizer`
Returns:
  true if visualiser generates statistics

#### clone

    public Object clone()

Specified by:
  `clone` in interface `TestElement`
Overrides:
  `clone` in class `AbstractTestElement`